import * as React from 'react';
import { arc, interpolateRgb } from 'd3';
import { Slice } from './Slice';
import { Check } from './Check';

const data = [1, 2, 3, 4];

const continents = [
   {name: 'Africa', size: 30.4, pop: 700},
   {name: 'Europe', size: 10.2, pop: 450},
   {name: 'Australia', size: 8.6, pop: 30}
];

//const plotVariable = d => d.pop;

//continents.map(continent => console.log(plotVariable(continent)))

const height = 500;
const width = 960;

const innerRadius = 180;
const outerRadius = height / 2;

export const SimplePieChart = () => {
  //let pie = d3.pie()(data);
  return (
    <svg height={height} width={width}>
      <g
        transform={`translate(${width / 2},${height / 2})`}
      >
        <Slice
          //pie={pie}
          outerRadius={outerRadius}
          innerRadius={innerRadius}
          data={continents}
        />
      </g>
      {/* <Check/> */}
    </svg>
  );
};
